package cn.iocoder.yudao.module.delivery.entity;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/*
 销售分析查询结果 lanbm 2024-04-02
 */
@ApiModel("管理后台-销售分析报表结果")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SalesAnalysisResp {

    /*
     排名编号
     */
    private  int px;


    /*
     订单编号
     */
    private String orderNo;

    /*
    提单号
     */
    private String tidanNo;

    /*
     订单发货人编号
     */
    private String orderConsignorName;

    /*
     订单发货人客户ID,用户链接
     */
    private String orderConsignorCusId;


    /*
     订单收货人名称
     */
    private String orderConsigneeName;

    /*
     订单收货人客户编号，用于链接
     */
    private String orderConsigneeCusId;

    /*
     客户经理
     */
    private String salesmanid;
    private String salesmanidName;

    /*
     订单状态
     */
    private String status;
    private String statusName;

    /*
     运输方式
     */
    private String transportId;
    private String transportIdName;

    /*
    始发仓
     */

    /*
     目的国
     */

    /*
    目的城市
     */

    /*
    目的仓
     */


    /*
    渠道
     */
    private  String channelid;
    private  String channelidName;

    /*
    唛头
     */
    private String marks;

    /*
     入仓箱数
     */
    private String sumquantity;

    /*
     入仓体积
     */
    private String sumvolume;

    /*
     入仓重量
     */
    private  String sumweight;


    /*
     是否控货
     */
    private  String iscargocontrol;

    /*
    创建时间
     */
    private String createtime;

}
